DESCRIPTION = "Common CA certificates"
HOMEPAGE = "http://packages.debian.org/jessie/ca-certificates"
SECTION = "misc"
LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://usr/share/doc/ca-certificates/copyright;md5=48d2baf97986999e776b43c8dd9e0c5a"

SRC_URI = "${DEBIAN_MIRROR}/main/c/ca-certificates/ca-certificates_${PV}_all.deb"

SRC_URI[md5sum] = "cbac2b1e7259c11571ad4393ee84a190"
SRC_URI[sha256sum] = "9c6b7eb8af976bcb3449fd6283a780093e7eae7a1e3396354a2f1a29f30943e8"

PR = "r1"

inherit autotools allarch

# This ensures that the directory exists and sets the current
# directory for do_unpack.
do_unpack[dirs] = "${S}"

# The default bitbake unpacking of .deb assumes .gz compression, which is no longer used.
do_unpack() {
    ar -p ${DL_DIR}/ca-certificates_${PV}_all.deb data.tar.xz | xzcat | tar --no-same-owner -xpf -
}

do_install() {
    CERTDIR="${D}/${sysconfdir}/ssl/certs"
    CERTFILE="${CERTDIR}/ca-certificates.crt"
    mkdir -p ${CERTDIR}
    if [ -f ${CERTFILE} ]; then
        rm ${CERTFILE}
    fi

    cd ${S}
    for crt in $(find usr/share/ca-certificates -type f -name '*.crt' -print)
    do
        cat ${crt} >> ${CERTFILE}
    done
}

FILES_${PN} = "${sysconfdir}/ssl/certs/ca-certificates.crt"
