LICENSE = "BSD"

inherit nfsquick

# The Intel M.2 modules on Pantera and Dart need binary firmware blobs

# These blobs may be obtained from:
# https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git
# or from Debian firmware-iwlwifi_20160110-1_all.deb

SRC_URI = "\
    file://licence.txt \
    file://iwlwifi-7265-9.ucode \
    file://ibt-hw-37.8.10-fw-1.10.3.11.e.bseq \
    file://ibt-hw-37.8.bseq \
    "

LIC_FILES_CHKSUM = "file://../licence.txt;md5=beeccb05e55ddfceaf21d45e73311584"

PV = "1"
PR = "r1"

FILES_${PN} += "/lib/firmware"

do_install() {
    install -d ${D}/lib/firmware/intel
    install -m0644 ${WORKDIR}/iwlwifi-7265-9.ucode ${D}/lib/firmware/iwlwifi-7265-9.ucode
    install -m0644 ${WORKDIR}/ibt-hw-37.8.10-fw-1.10.3.11.e.bseq ${D}/lib/firmware/intel/ibt-hw-37.8.10-fw-1.10.3.11.e.bseq
    install -m0644 ${WORKDIR}/ibt-hw-37.8.bseq ${D}/lib/firmware/intel/ibt-hw-37.8.bseq
}
