LICENSE = "BSD"

inherit nfsquick

# The Realtek M.2 modules on Pantera and Dart need additional
# firmware blobs (for Bluetooth, and also for WiFi on Pantera)

# Upstream: https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/tree/rtl_bt
# RTL8812: https://github.com/lwfinger/rtlwifi_new/tree/master/firmware/rtlwifi

SRC_URI = "\
    file://LICENCE.rtlwifi_firmware.txt \
    file://rtl8761a_fw.bin \
    file://rtl8821a_fw.bin \
    file://rtl8812aefw.bin \
    file://rtl8812aefw_wowlan.bin \
    "

LIC_FILES_CHKSUM = "file://../LICENCE.rtlwifi_firmware.txt;md5=00d06cfd3eddd5a2698948ead2ad54a5"

PV = "1"
PR = "r2"

FILES_${PN} += "/lib/firmware"

do_install() {
    install -d ${D}/lib/firmware/rtl_bt
    install -m0644 ${WORKDIR}/rtl8761a_fw.bin ${D}/lib/firmware/rtl_bt/rtl8761a_fw.bin
    install -m0644 ${WORKDIR}/rtl8821a_fw.bin ${D}/lib/firmware/rtl_bt/rtl8821a_fw.bin
    install -d ${D}/lib/firmware/rtlwifi
    install -m0644 ${WORKDIR}/rtl8812aefw.bin ${D}/lib/firmware/rtlwifi/rtl8812aefw.bin
    install -m0644 ${WORKDIR}/rtl8812aefw_wowlan.bin ${D}/lib/firmware/rtlwifi/rtl8812aefw_wowlan.bin
}
